package models

type UserTeam string

const (
	UserTeamBlue = "blue"
	UserTeamRed  = "red"
	UserTeamNone = "none"
)

func StrToUserTeam(s string) WordColor {
	switch s {
	case "blue":
		return UserTeamBlue
	case "red":
		return UserTeamRed
	case "none":
		return UserTeamNone
	}
	return WordColorUserTeamNone
}

type UserState struct {
	Username string
	Room     RoomPublic
}
